Update document config
curl --request PATCH \
--url https://sitegpt.ai/api/v2/chatbots/{chatbotId}/documents/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documentIds": [
"document-id"
],
"syncFrequency": "WEEKLY",
"scrapeOptions": {
"onlyMainContent": true
}
}
'import requests
url = "https://sitegpt.ai/api/v2/chatbots/{chatbotId}/documents/config"
payload = {
"documentIds": ["document-id"],
"syncFrequency": "WEEKLY",
"scrapeOptions": { "onlyMainContent": True }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documentIds: ['document-id'],
syncFrequency: 'WEEKLY',
scrapeOptions: {onlyMainContent: true}
})
};
fetch('https://sitegpt.ai/api/v2/chatbots/{chatbotId}/documents/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"data": {
"document": {
"id": "document-id",
"name": "Example document",
"createdAt": "2026-05-13T00:00:00.000Z"
}
},
"meta": {
"requestId": "request-id"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}{
"ok": true,
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
},
"meta": {
"requestId": "<string>"
}
}Knowledge
Update document config
Update scrape and sync config for one or more URL-like knowledge documents.
Required scope: knowledge:write.
PATCH
/
api
/
v2
/
chatbots
/
{chatbotId}
/
documents
/
config
Update document config
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Minimum array length:
1Available options:
NEVER, DAILY, WEEKLY, MONTHLY Show child attributes
Show child attributes
Extract main page content only, excluding headers, footers, sidebars, and navigation.
CSS selectors to include when scraping page content.
CSS selectors to exclude when scraping page content.
Allowed request headers: User-Agent, Accept, Accept-Language.
Show child attributes
Show child attributes
Was this page helpful?
⌘I